libapppropgui_sources = [
  'pikapropgui-channel-mixer.c',
  'pikapropgui-color-balance.c',
  'pikapropgui-color-rotate.c',
  'pikapropgui-color-to-alpha.c',
  'pikapropgui-convolution-matrix.c',
  'pikapropgui-diffraction-patterns.c',
  'pikapropgui-eval.c',
  'pikapropgui-focus-blur.c',
  'pikapropgui-generic.c',
  'pikapropgui-hue-saturation.c',
  'pikapropgui-motion-blur-circular.c',
  'pikapropgui-motion-blur-linear.c',
  'pikapropgui-motion-blur-zoom.c',
  'pikapropgui-newsprint.c',
  'pikapropgui-panorama-projection.c',
  'pikapropgui-recursive-transform.c',
  'pikapropgui-shadows-highlights.c',
  'pikapropgui-spiral.c',
  'pikapropgui-supernova.c',
  'pikapropgui-utils.c',
  'pikapropgui-vignette.c',
  'pikapropgui.c',
]

libapppropgui = static_library('apppropgui',
  libapppropgui_sources,
  include_directories: [ rootInclude, rootAppInclude, ],
  c_args: '-DG_LOG_DOMAIN="Pika-PropGUI"',
  dependencies: [
    gegl, gtk3,
  ],
)
